<?php get_header();?>           
    <div class="large_intro" style="background-image: url(<?php if(of_get_option('homepageimg')) : echo of_get_option('homepageimg'); else: echo get_stylesheet_directory_uri().'/img/large.jpg'; endif;?>);">
        <div class="large_intro_text">
        <?php if(of_get_option('homepagetext')) : echo '<h1>'.nl2br(of_get_option('homepagetext')).'</h1>'; endif;?>
        <?php if(of_get_option('homepagedescription')) : echo '<span class="h1_description"><hr/>'.nl2br(of_get_option('homepagedescription')).'</span>'; endif;?>
        <span class="clearfix"></span>
        <?php if(of_get_option('portfoliourl')) : echo '<a href="'.of_get_option("portfoliourl_url").'" class="portfoliourl">'.of_get_option('portfoliourl_text').'</a>'; endif;?>
        </div>
        
        
    </div>

    <?php if(of_get_option('whatwedo')) { ?>
        <div class="whatwedo">
            <h3><?php echo of_get_option('whatwedo_title'); ?></h3>   
            <hr/>                     
            <?php 
                $lp = new WP_Query("order=ASC&orderby=date&post_type=service&paged=1");
                if($lp->have_posts()) {
                    echo '<ul>';
                    while ( $lp->have_posts() ) {
                        $lp->the_post();
                        echo '<li>';
                        echo '<div class="whatwedo_pic">';
                            if(has_post_thumbnail()) echo get_the_post_thumbnail();
                        echo '</div>';
                        echo '<h4><a href="'.get_the_permalink().'">'.get_the_title() . '</a></h4>';
                        echo '<p class="post_content">'.wp_trim_words( get_the_content(), 15, '...' ).'</p>';
                        echo '</li>';
                    }
                    echo '</ul>';
                }
                wp_reset_postdata();
            ?>
        </div>
    <?php } ?>

    <?php if(of_get_option('portfoliobits')) { ?>
        <div class="whatwedo portfoliobits" style="background-image: url(<?php if(of_get_option('portfolioimg')) : echo of_get_option('portfolioimg'); else: echo get_stylesheet_directory_uri().'/img/portfolio_sample_background.png'; endif;?>);">
            <h3><?php echo of_get_option('portfoliobits_title'); ?></h3> 
            <?php 
                $portfoliobits_paged = 1;
                $pb = new WP_Query("order=ASC&orderby=date&post_type=portfolio&paged={$portfoliobits_paged}&posts_per_page=".of_get_option('portfoliobits_entries'));
                if($pb->have_posts()) {                    
                    echo '<div class="flexslider">';
                    echo '<ul class="slides">';  
                    while ( $pb->have_posts() ) {
                        $pb->the_post();
                        if(has_post_thumbnail()) echo '<li>'.get_the_post_thumbnail(get_the_ID(),'portfolio-bits').'</li>';
                    }
                    echo '</ul>';
                    echo '</div>';
                }
                wp_reset_postdata();
            ?>
        </div>
        <div class="view_portfolio">
            <a href="#">view our full portfolio &gt;</a>
        </div>        
    <?php } ?>

    <?php if(of_get_option('latestblog')) { ?>
        <div class="whatwedo latestblog">
            <h3><?php echo of_get_option('latestblog_title'); ?></h3>   
            <hr/>                     
            <?php 
                $latestposts_paged = 1;
                $lp = new WP_Query("order=DESC&orderby=date&post_type=post&paged={$latestposts_paged}&posts_per_page=4");
                if($lp->have_posts()) {
                    echo '<ul>';
                    while ( $lp->have_posts() ) {
                        $lp->the_post();
                        echo '<li>';
                        echo '<div class="whatwedo_pic"><a href="'.get_the_permalink().'">';
                            if(has_post_thumbnail()) echo get_the_post_thumbnail(get_the_ID(),'blog-thumb');
                        echo '</a></div>';
                        echo '<div class="entry_details">';
                        echo '<h4><a href="'.get_the_permalink().'">'.get_the_title() . '</a></h4>';
                        echo '<span class="date">'.get_the_date('M d, Y').'</span><a href="'.get_comments_link().'" class="comments"><i class="fa fa-comment"></i>
 '.get_comments_number(get_the_id()).'</a>';
                        echo '</div>';
                        echo '</li>';
                    }
                    echo '</ul>';
                }
                wp_reset_postdata();
            ?>
        </div>
    <?php } ?>
<?php get_footer(); ?>