<?php
/*
Template Name: Team
*/
get_header(); ?>
    
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <div class="large_intro" style="background-image: url(<?php if(wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large', false)) : echo wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large', false); else: echo get_stylesheet_directory_uri().'/img/large.jpg'; endif;?>   );">
    </div>        
        <div class="whatwedo">
            <h1><?php the_title(); ?></h1>   
            <hr/> 
        </div>
        <!-- begin .post -->
        <div class="block">
           <section class="main">
            <article <?php post_class(); ?>>
                <div class="post_content clearfix">
                <?php the_content(); ?>
                </div>
            </article>
            </section>
        </div>
        <div class="whatwedo ourteam clearfix">
                <h3><?php _e("Meet the team", "site5framework"); ?></h3>   
                <hr/> 
                <div class="clear"></div>
                <?php
                $the_query = new WP_Query( 'post_type=team&posts_per_page=4 ');
                while ( $the_query->have_posts() ) : $the_query->the_post();
                $t_title = get_post_meta($post->ID,'fall_t_title',true);
                $f_icon = get_post_meta($post->ID,'fall_f_icon',true);
                $t_icon = get_post_meta($post->ID,'fall_t_icon',true);
                ?>

                <div class="teamgrid">

                    <figure class="teaminfo teaminfo-push-up">

                        <?php
                        $thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
                        $large = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large', false);
                        if(has_post_thumbnail()): echo '<img src="'.$thumbnail[0].'" alt="'.get_the_title().'"/>'; else: ?><img src="<?php bloginfo('template_url'); ?>/img/team_sample.jpg" alt="team info" />

                        <?php endif; ?>

                        <figcaption class="overlay">
                          <h3 class="overlay-header"><?php the_title()  ?></h3>
                          <h5><?php echo $t_title ?></h5>
                          <p class="overlay-content"><?php the_excerpt(15); ?></p>
                          <div class="team-social">
                              <a href="<?php echo $f_icon ?>" ><i class="fa fa-facebook fa-2"></i></a>
                              <a href="<?php echo $t_icon ?>" ><i class="fa fa-twitter fa-2"></i></a>
                          </div>
                        </figcaption>

                    </figure>

                </div>

                <?php endwhile; wp_reset_postdata();?>

            </div>
        <!-- end .post -->
    <?php endwhile; endif; ?>
    

<div class="clear"></div>
<?php get_footer(); ?>