<?php get_header(); ?>
        <!-- begin main -->
		<section class="main">
		
			<!-- begin .col-left -->
			<div class="col-left">
			
			<div id="archive-title">
                <?php if (is_category()) { ?>
                        <?php _e("Posts Categorized", "site5framework"); ?> / <span><?php single_cat_title(); ?></span>
                <?php } elseif (is_tag()) { ?>
                        <?php _e("Posts Tagged", "site5framework"); ?> / <span><?php single_cat_title(); ?></span>
                <?php } elseif (is_author()) { ?>
                        <?php _e("Posts By", "site5framework"); ?> / <span><?php the_author_meta('display_name', $post->post_author) ?> </span>
                <?php } elseif (is_day()) { ?>
                        <?php _e("Daily Archives", "site5framework"); ?> / <span><?php the_time('l, F j, Y'); ?></span>
                <?php } elseif (is_month()) { ?>
                        <?php _e("Monthly Archives", "site5framework"); ?> / <span><?php the_time('F Y'); ?></span>
                <?php } elseif (is_year()) { ?>
                        <?php _e("Yearly Archives", "site5framework"); ?> / <span><?php the_time('Y'); ?></span>
                <?php } elseif (is_search()) { ?>
                        <?php _e("Search Results", "site5framework"); ?> / <span><?php echo esc_attr(get_search_query()); ?></span>
                <?php } ?>
            </div>

			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

			<!-- begin .post -->
			<article <?php post_class(); ?>>
				    <!-- begin .post-thumb -->
					<div class="post-thumb">
						<?php if(has_post_thumbnail()): the_post_thumbnail('large', array('class'=>'blog-thumb')); else: ?><?php endif; ?>
					</div>
					<!-- end .post-thumb -->
					
					<!-- begin .post-meta -->
					<div class="meta">
						<?php echo '<span class="date">'.get_the_date('M d, Y').'</span><a href="'.get_comments_link().'" class="comments"><i class="fa fa-comment"></i>
 '.get_comments_number(get_the_id()).'</a>'; ?>
					</div>
					<!-- end .post-meta -->
				
					<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

					<div class="post-content">
						<?php
						global $more;
	        			$more = 0;
	        			the_content(__('Keep Reading &gt;','site5framework')); ?>
        			</div>
			</article>
			<!-- end .post -->

			<?php endwhile; ?>

			<!-- begin #pagination -->
			<?php if (function_exists("emm_paginate")) {
					emm_paginate();
				 } else { ?>
			<div class="navigation">
		        <div class="alignleft"><?php next_posts_link('Older') ?></div>
		        <div class="alignright"><?php previous_posts_link('Newer') ?></div>
		    </div>
		    <?php } ?>
	    	<!-- end #pagination -->
			
			<?php endif;?>

			</div>
			<!-- end colleft -->
			
			<?php get_sidebar(); ?>
			
		</section>
		<!-- end main -->

<div class="clear"></div>
<?php get_footer(); ?>