<?php
/*
Template Name: Portfolio
*/
get_header(); ?>
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    
    <div class="large_intro" style="background-image: url(<?php $get = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ),'full'); if($get[0]!="") : echo $get[0]; else: echo get_stylesheet_directory_uri().'/img/large.jpg'; endif;?>   );">
    </div>        
       
        <div class="whatwedo">
            <h1><?php the_title(); ?></h1>   
            <hr/> 
        </div>
        <!-- begin .post -->
        <div class="block">
           <section class="main">
            <article <?php post_class(); ?>>
                <div class="post_content clearfix">
                <?php the_content(); ?>
                </div>
            </article>
            </section>
        </div>
         <!-- end .post -->
    <?php endwhile; endif; ?>
                <!-- gallery categories -->
			<ul id="gallerycat" class="filterable clearfix" data-option-key="filter">
				<li class="active"><a href="javascript:void(0)" data-value="all" data-type="all" class="all" data-option-value="*"><?php _e('all', 'site5framework'); ?></a></li>
				<?php $categories = get_categories('taxonomy=portfoliocat&title_li='); foreach ($categories as $category){ ?>
				<li><a href="<?php echo get_term_link($category->slug, 'portfoliocat') ?>" class="<?php echo $category->category_nicename;?>" data-type="<?php echo $category->category_nicename;?>" data-option-value=".<?php echo $category->category_nicename;?>"><?php echo $category->name;?></a></li>
				<?php }?>
			</ul>
			<!-- end gallery categories -->

			<div id="gallery">
                <ul class="gallery clearfix">
				<?php
					global $post;
								$term = get_query_var('term');
								$tax = get_query_var('taxonomy');
								$args=array('post_type'=> 'portfolio','post_status'=> 'publish', 'orderby'=> 'menu_order', 'caller_get_posts'=>1, 'paged'=>$paged, 'posts_per_page'=>9);
								$taxargs = array($tax=>$term);
								if($term!='' && $tax!='') { $args  = array_merge($args, $taxargs); }


					query_posts($args);
				?>

				<?php if (have_posts()) : $count = 0; ?>
				<?php while (have_posts()) : the_post(); $count++; global $post; $taxo = wp_get_object_terms( get_the_ID(), 'portfoliocat');?>

					<!-- gallery item -->

					<li data-type="<?php foreach ($taxo as $taxx) { echo strtolower(preg_replace('/\s+/', '-', $taxx->slug)). ' '; } ?>" data-id="id-<?php the_ID(); ?>" class="view <?php foreach ($taxo as $taxx) { echo strtolower(preg_replace('/\s+/', '-', $taxx->slug)). ' '; } ?>">
						<?php
							$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'portfolio-bits','portfolio-bits' );
							$large = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large', false);
							if(has_post_thumbnail()): echo '<img src="'.$thumbnail[0].'" alt="'.get_the_title().'"/>'; else: ?><img src="<?php bloginfo('template_url'); ?>/img/gallery_sample.jpg" alt="portfolio" />

						<?php endif; ?>
						<div class="mask">
							<h4><?php the_title(); ?></h4>
							<a class="info" href="<?php echo $large[0] ?>" data-rel="prettyPhoto"><?php _e('+','site5framework') ?></a>
						</div>
					</li>

					<!-- end gallery item -->

				<?php endwhile; endif; wp_reset_postdata();?>
				</ul>
				

			</div>
       
    
    

<div class="clear"></div>
<?php get_footer(); ?>