<?php get_header(); ?>

		<!-- begin main -->
		<section class="main">
		
			<!-- begin .col-left -->
			<div class="col-left">

				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

				<!-- begin .post -->
				<article <?php post_class(); ?>>
					<!-- begin .post-thumb -->
                    <div class="post-thumb">
                        <?php if(has_post_thumbnail()): the_post_thumbnail('large', array('class'=>'blog-thumb')); else: ?><?php endif; ?>
                    </div>
                    <!-- end .post-thumb -->

                    <!-- begin .post-meta -->
                    <div class="meta">
                        <?php echo '<span class="date">'.get_the_date('M d, Y').'</span><a href="'.get_comments_link().'" class="comments"><i class="fa fa-comment"></i>
    '.get_comments_number(get_the_id()).'</a>'; ?>
                    </div>
                    <!-- end .post-meta -->

                    <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>

					<?php the_content(); ?>
					

					<?php endwhile; ?>
					<?php comments_template(); ?>

				</article>
				<!-- end .post -->

				<?php endif;?>
			
			</div>
			<!-- end colleft -->
			
			<?php get_sidebar(); ?>
			
		</section>
		<!-- end main -->

<div class="clear"></div>
<?php get_footer(); ?>